PlasticScrollPaneUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.plastic

## Class PlasticScrollPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ScrollPaneUI
    - - javax.swing.plaf.basic.BasicScrollPaneUI
      - - javax.swing.plaf.metal.MetalScrollPaneUI
        - - com.jgoodies.looks.plastic.PlasticScrollPaneUI

- All Implemented Interfaces:
    ScrollPaneConstants

      public final class PlasticScrollPaneUI
      extends MetalScrollPaneUI

  The JGoodies Plastic L&Fl implementation of `ScrollPaneUI`. Installs an etched border if the client property `Options.IS_ETCHED_KEY` is set.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch
  See Also:
    `Options.IS_ETCHED_KEY`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicScrollPaneUI

      `BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.MouseWheelHandler, BasicScrollPaneUI.PropertyChangeHandler, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicScrollPaneUI

      `hsbChangeListener, scrollpane, spPropertyChangeListener, viewportChangeListener, vsbChangeListener`

    - ### Fields inherited from interface javax.swing.ScrollPaneConstants

      `COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticScrollPaneUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)`
    `protected void` | `installDefaults(JScrollPane scrollPane)`
    `void` | `installListeners(JScrollPane scrollPane)`
    `protected void` | `uninstallListeners(JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalScrollPaneUI

      `createScrollBarSwapListener, installUI, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicScrollPaneUI

      `createHSBChangeListener, createMouseWheelListener, createPropertyChangeListener, createViewportChangeListener, createVSBChangeListener, getBaseline, getBaselineResizeBehavior, getMaximumSize, installKeyboardActions, paint, syncScrollPaneWithViewport, uninstallDefaults, uninstallKeyboardActions, updateColumnHeader, updateRowHeader, updateScrollBarDisplayPolicy, updateViewport`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getMinimumSize, getPreferredSize, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticScrollPaneUI

          public PlasticScrollPaneUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### installDefaults

          protected void installDefaults(JScrollPane scrollPane)

      Overrides:
        `installDefaults` in class `BasicScrollPaneUI`

    - #### installListeners

          public void installListeners(JScrollPane scrollPane)

      Overrides:
        `installListeners` in class `MetalScrollPaneUI`

    - #### uninstallListeners

          protected void uninstallListeners(JComponent c)

      Overrides:
        `uninstallListeners` in class `MetalScrollPaneUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.